# Invite users to an account (tenant) in bulk

Invite users to an account (tenant) in bulk.
Provide an array of `users` in the request body. Each entry must include a user's `email`.

Endpoint: POST /resources/users/bulk/v1/invite
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Header parameters:

  - `frontegg-tenant-id` (string)
    The tenant identifier. Required for requests to api.frontegg.com (or your region) when using a management token. Parsed from the token when using user or API tokens

## Request fields (application/json):

  - `users` (array, required)

  - `users.email` (string)
    The email of the user. If not provided, the username is required

  - `users.username` (string)
    The username of the user. If not provided, the email is required. Maximum length is 255 characters.

  - `users.name` (string)

  - `users.profilePictureUrl` (string)

  - `users.password` (string)

  - `users.phoneNumber` (string)

  - `users.provider` (string)
    Enum: "local", "saml", "google", "github", "facebook", "microsoft", "scim2", "slack", "apple"

  - `users.metadata` (string)
    Stringified JSON object
    Example: {}

  - `users.skipInviteEmail` (boolean)

  - `users.roleIds` (array)

  - `users.emailMetadata` (object)

  - `users.expirationInSeconds` (number)
    Temporary user expiration in seconds

  - `users.verified` (boolean)

